Package ru.bitel.bgbilling.plugins.bonus.common.bean

# Class BonusCharge

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean
ru.bitel.bgbilling.plugins.bonus.common.bean.BonusCharge

All Implemented Interfaces:
  `Serializable`, `Idable`

public class BonusCharge extends AbstractBonusBalanceBean
Бонусный расход.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean

  `date, dateString, sum, typeId, typeTitle`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BonusCharge()`
  `BonusCharge(int id, Date date, int typeId, BigDecimal sum, int contractChargeId)`
  Серверный конструктор.
  `BonusCharge(int id, Date date, BigDecimal sum, int contractChargeId)`
  Клиентский конструктор.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractChargeId()`
  `void`
  `setContractChargeId(int contractChargeId)`

  ### Methods inherited from class ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean

  `getDate, getDateString, getSum, getTypeId, getTypeTitle, setDate, setDateString, setSum, setTypeId, setTypeTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BonusCharge

    public BonusCharge()

  - ### BonusCharge

    public BonusCharge(int id, Date date, int typeId, BigDecimal sum, int contractChargeId)
    Серверный конструктор.
    Parameters:
      `id` - - ID бонусного расхода, при создании = 0
      `date` - - дата
      `typeId` - - тип расхода договора (у бонусных расходов нет своего справочника типов)
      `sum` - - сумма бонусного расхода.
      `contractChargeId` - - ID расхода договора (бонусные расходы не могут быть сами по себе, они всегда привязаны к расходу договора)

  - ### BonusCharge

    public BonusCharge(int id, Date date, BigDecimal sum, int contractChargeId)
    Клиентский конструктор.

- ## Method Details

  - ### getContractChargeId

    public int getContractChargeId()

  - ### setContractChargeId

    public void setContractChargeId(int contractChargeId)